package com.sifang.modules.flowable.vo;


import com.sifang.modules.flowable.entity.ProcessDef;
import com.sifang.modules.flowable.entity.ProcessDefSubmitStep;

import java.util.List;

public class AddProcessVo {

    private String processId;

    private ProcessDef def;

    private ProcessDefSubmitStep submitStep;

    private List<ProcessDefStep> steps;

    public List<ProcessDefStep> getSteps() {
        return steps;
    }

    public void setSteps(List<ProcessDefStep> steps) {
        this.steps = steps;
    }


    public ProcessDefSubmitStep getSubmitStep() {
        return submitStep;
    }

    public void setSubmitStep(ProcessDefSubmitStep submitStep) {
        this.submitStep = submitStep;
    }

    public ProcessDef getDef() {
        return def;
    }

    public void setDef(ProcessDef def) {
        this.def = def;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }
}
